﻿/**Begin D:\PDM_UPGRADE\PDM1\BDIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDIM_BOND_LIMIT')
 CREATE TABLE T_BDIM_BOND_LIMIT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINSTITUTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEFFECTDATE DATETIME,
FEXPIRYDATE DATETIME,
FLIMITTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FUSEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADVANCEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVAILAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDIM_BOND_LIMIT_ENTRY')
 CREATE TABLE T_BDIM_BOND_LIMIT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FLIMITORG BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FLIMITCURRENCY BIGINT DEFAULT 0 NOT NULL,
FLIMITUSEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITADVANCEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELEASEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALOCCUPYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDIM_BOND_LIMIT_L')
 CREATE TABLE T_BDIM_BOND_LIMIT_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_BDIM_BOND_LIMIT_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

/**End D:\PDM_UPGRADE\PDM1\BDIM_table.sql **/
