﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDIM_COSTSHARE')
 CREATE TABLE T_BDIM_COSTSHARE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBONDPLANNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FSHAREFREQUENCY NVARCHAR(30) DEFAULT 'month' NOT NULL,
FIRR DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FVOUCHERNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPERIODSTARTDATE DATETIME,
FPERIODENDDATE DATETIME,
FACCRUALINTEREST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYINTEREST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FADJUSTMENTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDIM_COSTSHARE_DETAIL')
 CREATE TABLE T_BDIM_COSTSHARE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERIOD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FACCRUALINTEREST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYINTEREST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FADJUSTMENTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDIM_COSTSHARE_L')
 CREATE TABLE T_BDIM_COSTSHARE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDIM_COSTSHARE' AND KSQL_COL_NAME IN ('FFEEAMOUNT'))
 ALTER TABLE T_BDIM_COSTSHARE ADD (FFEEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDIM_COSTSHARE' AND KSQL_COL_NAME IN ('FDAY'))
ALTER TABLE T_BDIM_COSTSHARE ADD (FDAY INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDIM_COSTSHARE_DETAIL' AND KSQL_COL_NAME IN ('FDAY'))
ALTER TABLE T_BDIM_COSTSHARE_DETAIL ADD (FDAY INT DEFAULT 0 NOT NULL );